com.trendmicro.ds.platform.rest.api

## Interface ILicenseAPI

-     @Path(value="/license")
      public interface ILicenseAPI

  Interface for the licensing API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddActivationCodeResponse` | `addActivationCode(int moduleNumber, java.lang.String activationCode, java.lang.String sessionId)` Adds the activation code for the specified module
    `ListLicenseResponse` | `listLicenseInfo(java.lang.String sessionID, java.lang.String module)` List all the license information or based on the specified module name
    `java.lang.String` | `retrieveActivationCode(int moduleNumber, java.lang.String sessionId)` Retrieves the current activation code for the specified module
    `LicenseInfoElement` | `retrieveLicenseInfo(int moduleNumber, java.lang.String sessionId)` Retrieves the current activation code for the specified module

- - ### Method Detail

    - #### addActivationCode

          @POST
           @Path(value="/addActivationCode")
           @Produces(value={"application/xml","application/json"})
          AddActivationCodeResponse addActivationCode(@QueryParam(value="moduleNumber")
                                                                                                                                                        int moduleNumber,
                                                                                                                                                        @QueryParam(value="activationCode")
                                                                                                                                                        java.lang.String activationCode,
                                                                                                                                                        @QueryParam(value="sID")
                                                                                                                                                        java.lang.String sessionId)
                                                                                                                                                 throws java.lang.Exception

      Adds the activation code for the specified module
      Parameters:
        `moduleNumber` - -1 for all modules, 0 for AV, 1 for NET or VP, 2 for IM, 3 for LI, 4 for SAP
        `activationCode` - activation code
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        Status 200 means ok
      Throws:
        `java.lang.Exception`

    - #### retrieveActivationCode

          @GET
           @Path(value="/retrieveActivationCode")
           @Produces(value="text/plain")
          java.lang.String retrieveActivationCode(@QueryParam(value="moduleNumber")
                                                                                                                              int moduleNumber,
                                                                                                                              @QueryParam(value="sID")
                                                                                                                              java.lang.String sessionId)
                                                                                                                       throws java.lang.Exception

      Retrieves the current activation code for the specified module
      Parameters:
        `moduleNumber` - 0 for AV, 1 for NET or VP, 2 for IM, 3 for LI, 4 for SAP. *

        Note: If a single activation code was used to license all modules, all values (0-3) will return the same code.

        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        The current activation code for the specified module
      Throws:
        `java.lang.Exception`

    - #### retrieveLicenseInfo

          @GET
           @Path(value="/retrieveLicenseInfo")
           @Produces(value={"application/xml","application/json"})
          LicenseInfoElement retrieveLicenseInfo(@QueryParam(value="moduleNumber")
                                                                                                                                                    int moduleNumber,
                                                                                                                                                    @QueryParam(value="sID")
                                                                                                                                                    java.lang.String sessionId)
                                                                                                                                             throws java.lang.Exception

      Retrieves the current activation code for the specified module
      Parameters:
        `moduleNumber` - 0 for AV, 1 for NET or VP, 2 for IM, 3 for LI, 4 for SAP. *

        Note: If a single activation code was used to license all modules, all values (0-3) will return the same code.

        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        The current activation code for the specified module
      Throws:
        `java.lang.Exception`

    - #### listLicenseInfo

          @GET
           @Path(value="/listLicenseInfo")
           @Produces(value="application/json")
          ListLicenseResponse listLicenseInfo(@CookieParam(value="sID")
                                                                                                                         java.lang.String sessionID,
                                                                                                                         @QueryParam(value="module")
                                                                                                                         java.lang.String module)
                                                                                                                  throws java.lang.Exception

      List all the license information or based on the specified module name
      Parameters:
        `sessionID` -
        `module` - valid values include "anti-malware", "web-reputation", "firewall", "intrusion-prevention", "integrity-monitoring", "application-control", "log-inspection", "sap"
      Returns:
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.